org.wildfly.swarm.config.messaging.activemq.server

## Class Bridge<T extends Bridge<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.Bridge<T>

-     public class Bridge<T extends Bridge<T>>
      extends Object

  The function of a bridge is to consume messages from a source queue, and forward them to a target address, typically on a different ActiveMQ server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bridge(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Long` | `checkPeriod()` The period (in milliseconds) between client failure check.
    `T` | `checkPeriod(Long value)` The period (in milliseconds) between client failure check.
    `Integer` | `confirmationWindowSize()` The confirmation-window-size to use for the connection used to forward messages to the target node.
    `T` | `confirmationWindowSize(Integer value)` The confirmation-window-size to use for the connection used to forward messages to the target node.
    `Long` | `connectionTtl()` The maximum time (in milliseconds) for which the connections used by the bridges are considered alive (in the absence of heartbeat).
    `T` | `connectionTtl(Long value)` The maximum time (in milliseconds) for which the connections used by the bridges are considered alive (in the absence of heartbeat).
    `Map` | `credentialReference()` Credential (from Credential Store) to authenticate the bridge
    `T` | `credentialReference(Map value)` Credential (from Credential Store) to authenticate the bridge
    `T` | `credentialReference(String key, Object value)` Credential (from Credential Store) to authenticate the bridge
    `String` | `discoveryGroup()` The name of the discovery group used by this bridge.
    `T` | `discoveryGroup(String value)` The name of the discovery group used by this bridge.
    `String` | `filter()` An optional filter string.
    `T` | `filter(String value)` An optional filter string.
    `String` | `forwardingAddress()` The address on the target server that the message will be forwarded to.
    `T` | `forwardingAddress(String value)` The address on the target server that the message will be forwarded to.
    `String` | `getKey()`
    `Boolean` | `ha()` Whether or not this bridge should support high availability.
    `T` | `ha(Boolean value)` Whether or not this bridge should support high availability.
    `Integer` | `initialConnectAttempts()` The number of attempts to connect initially with this bridge.
    `T` | `initialConnectAttempts(Integer value)` The number of attempts to connect initially with this bridge.
    `Long` | `maxRetryInterval()` The maximum interval of time used to retry connections
    `T` | `maxRetryInterval(Long value)` The maximum interval of time used to retry connections
    `Integer` | `minLargeMessageSize()` The minimum size (in bytes) for a message before it is considered as a large message.
    `T` | `minLargeMessageSize(Integer value)` The minimum size (in bytes) for a message before it is considered as a large message.
    `String` | `password()` The password to use when creating the bridge connection to the remote server.
    `T` | `password(String value)` The password to use when creating the bridge connection to the remote server.
    `Integer` | `producerWindowSize()` Producer flow control size on the bridge.
    `T` | `producerWindowSize(Integer value)` Producer flow control size on the bridge.
    `String` | `queueName()` The unique name of the local queue that the bridge consumes from.
    `T` | `queueName(String value)` The unique name of the local queue that the bridge consumes from.
    `Integer` | `reconnectAttempts()` The total number of reconnect attempts the bridge will make before giving up and shutting down.
    `T` | `reconnectAttempts(Integer value)` The total number of reconnect attempts the bridge will make before giving up and shutting down.
    `Integer` | `reconnectAttemptsOnSameNode()` The total number of reconnect attempts on the same node the bridge will make before giving up and shutting down.
    `T` | `reconnectAttemptsOnSameNode(Integer value)` The total number of reconnect attempts on the same node the bridge will make before giving up and shutting down.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `retryInterval()` The period in milliseconds between subsequent reconnection attempts, if the connection to the target server has failed.
    `T` | `retryInterval(Long value)` The period in milliseconds between subsequent reconnection attempts, if the connection to the target server has failed.
    `BigDecimal` | `retryIntervalMultiplier()` A multiplier to apply to the time since the last retry to compute the time to the next retry.
    `T` | `retryIntervalMultiplier(BigDecimal value)` A multiplier to apply to the time since the last retry to compute the time to the next retry.
    `Boolean` | `started()` Whether the bridge is started.
    `T` | `started(Boolean value)` Whether the bridge is started.
    `T` | `staticConnector(String value)` A list of names of statically defined connectors used by this bridge.
    `List<String>` | `staticConnectors()` A list of names of statically defined connectors used by this bridge.
    `T` | `staticConnectors(List<String> value)` A list of names of statically defined connectors used by this bridge.
    `T` | `staticConnectors(String... args)` A list of names of statically defined connectors used by this bridge.
    `String` | `transformerClassName()` The name of a user-defined class which implements the org.apache.activemq.artemis.core.server.cluster.Transformer interface.
    `T` | `transformerClassName(String value)` The name of a user-defined class which implements the org.apache.activemq.artemis.core.server.cluster.Transformer interface.
    `Boolean` | `useDuplicateDetection()` Whether the bridge will automatically insert a duplicate id property into each message that it forwards.
    `T` | `useDuplicateDetection(Boolean value)` Whether the bridge will automatically insert a duplicate id property into each message that it forwards.
    `String` | `user()` The user name to use when creating the bridge connection to the remote server.
    `T` | `user(String value)` The user name to use when creating the bridge connection to the remote server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bridge

          public Bridge(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### checkPeriod

          public Long checkPeriod()

      The period (in milliseconds) between client failure check.

    - #### checkPeriod

          public T checkPeriod(Long value)

      The period (in milliseconds) between client failure check.

    - #### confirmationWindowSize

          public Integer confirmationWindowSize()

      The confirmation-window-size to use for the connection used to forward messages to the target node.

    - #### confirmationWindowSize

          public T confirmationWindowSize(Integer value)

      The confirmation-window-size to use for the connection used to forward messages to the target node.

    - #### connectionTtl

          public Long connectionTtl()

      The maximum time (in milliseconds) for which the connections used by the bridges are considered alive (in the absence of heartbeat).

    - #### connectionTtl

          public T connectionTtl(Long value)

      The maximum time (in milliseconds) for which the connections used by the bridges are considered alive (in the absence of heartbeat).

    - #### credentialReference

          public Map credentialReference()

      Credential (from Credential Store) to authenticate the bridge

    - #### credentialReference

          public T credentialReference(Map value)

      Credential (from Credential Store) to authenticate the bridge

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      Credential (from Credential Store) to authenticate the bridge

    - #### discoveryGroup

          public String discoveryGroup()

      The name of the discovery group used by this bridge. Must be undefined (null) if 'static-connectors' is defined.

    - #### discoveryGroup

          public T discoveryGroup(String value)

      The name of the discovery group used by this bridge. Must be undefined (null) if 'static-connectors' is defined.

    - #### filter

          public String filter()

      An optional filter string. If specified then only messages which match the filter expression specified will be forwarded. The filter string follows the ActiveMQ filter expression syntax described in the ActiveMQ documentation.

    - #### filter

          public T filter(String value)

      An optional filter string. If specified then only messages which match the filter expression specified will be forwarded. The filter string follows the ActiveMQ filter expression syntax described in the ActiveMQ documentation.

    - #### forwardingAddress

          public String forwardingAddress()

      The address on the target server that the message will be forwarded to. If a forwarding address is not specified then the original destination of the message will be retained.

    - #### forwardingAddress

          public T forwardingAddress(String value)

      The address on the target server that the message will be forwarded to. If a forwarding address is not specified then the original destination of the message will be retained.

    - #### ha

          public Boolean ha()

      Whether or not this bridge should support high availability. True means it will connect to any available server in a cluster and support failover.

    - #### ha

          public T ha(Boolean value)

      Whether or not this bridge should support high availability. True means it will connect to any available server in a cluster and support failover.

    - #### initialConnectAttempts

          public Integer initialConnectAttempts()

      The number of attempts to connect initially with this bridge.

    - #### initialConnectAttempts

          public T initialConnectAttempts(Integer value)

      The number of attempts to connect initially with this bridge.

    - #### maxRetryInterval

          public Long maxRetryInterval()

      The maximum interval of time used to retry connections

    - #### maxRetryInterval

          public T maxRetryInterval(Long value)

      The maximum interval of time used to retry connections

    - #### minLargeMessageSize

          public Integer minLargeMessageSize()

      The minimum size (in bytes) for a message before it is considered as a large message.

    - #### minLargeMessageSize

          public T minLargeMessageSize(Integer value)

      The minimum size (in bytes) for a message before it is considered as a large message.

    - #### password

          public String password()

      The password to use when creating the bridge connection to the remote server. If it is not specified the default cluster password specified by the cluster-password attribute in the root messaging subsystem resource will be used.

    - #### password

          public T password(String value)

      The password to use when creating the bridge connection to the remote server. If it is not specified the default cluster password specified by the cluster-password attribute in the root messaging subsystem resource will be used.

    - #### producerWindowSize

          public Integer producerWindowSize()

      Producer flow control size on the bridge.

    - #### producerWindowSize

          public T producerWindowSize(Integer value)

      Producer flow control size on the bridge.

    - #### queueName

          public String queueName()

      The unique name of the local queue that the bridge consumes from.

    - #### queueName

          public T queueName(String value)

      The unique name of the local queue that the bridge consumes from.

    - #### reconnectAttempts

          public Integer reconnectAttempts()

      The total number of reconnect attempts the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### reconnectAttempts

          public T reconnectAttempts(Integer value)

      The total number of reconnect attempts the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### reconnectAttemptsOnSameNode

          public Integer reconnectAttemptsOnSameNode()

      The total number of reconnect attempts on the same node the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### reconnectAttemptsOnSameNode

          public T reconnectAttemptsOnSameNode(Integer value)

      The total number of reconnect attempts on the same node the bridge will make before giving up and shutting down. A value of -1 signifies an unlimited number of attempts.

    - #### retryInterval

          public Long retryInterval()

      The period in milliseconds between subsequent reconnection attempts, if the connection to the target server has failed.

    - #### retryInterval

          public T retryInterval(Long value)

      The period in milliseconds between subsequent reconnection attempts, if the connection to the target server has failed.

    - #### retryIntervalMultiplier

          public BigDecimal retryIntervalMultiplier()

      A multiplier to apply to the time since the last retry to compute the time to the next retry. This allows you to implement an exponential backoff between retry attempts.

    - #### retryIntervalMultiplier

          public T retryIntervalMultiplier(BigDecimal value)

      A multiplier to apply to the time since the last retry to compute the time to the next retry. This allows you to implement an exponential backoff between retry attempts.

    - #### started

          public Boolean started()

      Whether the bridge is started.

    - #### started

          public T started(Boolean value)

      Whether the bridge is started.

    - #### staticConnectors

          public List<String> staticConnectors()

      A list of names of statically defined connectors used by this bridge. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnectors

          public T staticConnectors(List<String> value)

      A list of names of statically defined connectors used by this bridge. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnector

          public T staticConnector(String value)

      A list of names of statically defined connectors used by this bridge. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### staticConnectors

          public T staticConnectors(String... args)

      A list of names of statically defined connectors used by this bridge. Must be undefined (null) if 'discovery-group-name' is defined.

    - #### transformerClassName

          public String transformerClassName()

      The name of a user-defined class which implements the org.apache.activemq.artemis.core.server.cluster.Transformer interface.

    - #### transformerClassName

          public T transformerClassName(String value)

      The name of a user-defined class which implements the org.apache.activemq.artemis.core.server.cluster.Transformer interface.

    - #### useDuplicateDetection

          public Boolean useDuplicateDetection()

      Whether the bridge will automatically insert a duplicate id property into each message that it forwards.

    - #### useDuplicateDetection

          public T useDuplicateDetection(Boolean value)

      Whether the bridge will automatically insert a duplicate id property into each message that it forwards.

    - #### user

          public String user()

      The user name to use when creating the bridge connection to the remote server. If it is not specified the default cluster user specified by the cluster-user attribute in the root messaging subsystem resource will be used.

    - #### user

          public T user(String value)

      The user name to use when creating the bridge connection to the remote server. If it is not specified the default cluster user specified by the cluster-user attribute in the root messaging subsystem resource will be used.

Copyright © 2017 JBoss by Red Hat. All rights reserved.